/* 0.1 sec */
#define FAST_INTERVAL 5*HZ/100
/* 0.3 sec */
#define SLOW_INTERVAL 15*HZ/100

#define LED_FAST 1
#define LED_SLOW 0

/* number of GPIO */
#define GPIO_NUM 	4
/* all gpio were negative logic */
#define GPIO_ADSL_ACT 	(1<<28)
#define GPIO_TEST 	(1<<5)
#define GPIO_ADSL_DOWN 	(1<<3)
#define GPIO_RESET 	(1<<29)
#define GPIO_POWER 	(1<<4)

struct led_data_s{
	unsigned long gpio_pin;
	unsigned int count; 
	int logic;  /* -1 negative +1 */
	int speed;  /* 0:slow 1:fast */
	int last_stat; /* last stat 0:off 1:on 2:previous*/
	int init; /* 0:off 1:on */
};
static struct led_data_s led_data[]={
	{GPIO_ADSL_ACT,0,1,0,2,0},
	{GPIO_TEST,0,1,0,2,0},
	{GPIO_ADSL_DOWN,0,1,0,0,0},
	{GPIO_POWER,0,1,0,2,1},
	{0,0,0,0,0,0}
};


void led_blink(unsigned long gpio,int count ,int speed,int last_stat);

